#   File:       Allenroids.make
#   Target:     Allenroids
#   Created:    Monday, August 2, 2004 04:20:23 PM


MAKEFILE        = Allenroids.make
MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

ObjDir          = :
Includes        =  
				  -i ":Source Code:Classes:" 
				  -i ":Source Code:" 
				  -i :include: 
				  -i "{MPW}:Interfaces&Libraries:OpenGL_SDK_1.2:Headers:"

Booleans		= -bool on #sets the bool keyword to be defined. Why this needs to be done is beyond me.
Sym-PPC         = -sym off

PPCCPlusOptions = {Includes} {Booleans} {Sym-PPC} -d TARGET_API_MAC_CARBON=1  -enum int #enum int is for SDL
#the bool specification must come BEFORE sym-ppc, or else there is a compilation error.


### Source Files ###

SrcFiles        =  
				  ":Source Code:Allenroids.cpp" 
				  ":Source Code:Configure Screen.cpp" 
				  ":Source Code:sound.cpp" 
				  ":Source Code:Title Screen.cpp" 
				  ":Source Code:Classes:Asteroid.cpp" 
				  ":Source Code:Classes:BadGuy.cpp" 
				  ":Source Code:Classes:Crystal.cpp" 
				  ":Source Code:Classes:GameObject.cpp" 
				  ":Source Code:Classes:Kerblooie.cpp" 
				  ":Source Code:Classes:Player.cpp" 
				  ":Source Code:Classes:Shot.cpp" 
				  ":Source Code:Classes:Spaceship.cpp"


### Object Files ###

ObjFiles-PPC    =  
				  "{ObjDir}Allenroids.cpp.x" 
				  "{ObjDir}Configure Screen.cpp.x" 
				  "{ObjDir}sound.cpp.x" 
				  "{ObjDir}Title Screen.cpp.x" 
				  "{ObjDir}Asteroid.cpp.x" 
				  "{ObjDir}BadGuy.cpp.x" 
				  "{ObjDir}Crystal.cpp.x" 
				  "{ObjDir}GameObject.cpp.x" 
				  "{ObjDir}Kerblooie.cpp.x" 
				  "{ObjDir}Player.cpp.x" 
				  "{ObjDir}Shot.cpp.x" 
				  "{ObjDir}Spaceship.cpp.x"


### Libraries ###

#MPW-generated list
#LibFiles-PPC    =  
#				  "{SharedLibraries}CarbonLib" 
#				  "{SharedLibraries}StdCLib" 
#				  "{PPCLibraries}StdCRuntime.o" 
#				  "{PPCLibraries}PPCCRuntime.o" 
#				  "{PPCLibraries}PPCToolLibs.o" 
#				  "{PPCLibraries}MrCPlusLib.o" 
#				  "{PPCLibraries}MrCIOStreams.o"
LibFiles-PPC    =  
				  "{SharedLibraries}CarbonLib" 
				  "{SharedLibraries}InterfaceLib" 
				  "{SharedLibraries}StdCLib" 
				  "{SharedLibraries}MathLib" 
				  "{SharedLibraries}DisplayLib" 
				  "{SharedLibraries}DrawSprocketLib" 
				  "{PPCLibraries}StdCRuntime.o" 
				  "{PPCLibraries}PPCCRuntime.o" 
				  "{PPCLibraries}PPCToolLibs.o" 
				  "{PPCLibraries}MrCPlusLib.o" 
				  "{PPCLibraries}MrCIOStreams.o" 
				  "{MPW}:Interfaces&Libraries:OpenGL_SDK_1.2:Libraries:glutMPW.lib.o" 
				  "{MPW}:Interfaces&Libraries:OpenGL_SDK_1.2:Libraries:OpenGLLibraryStub" 
				  "{MPW}:Interfaces&Libraries:OpenGL_SDK_1.2:Libraries:OpenGLMemoryStub" 
				  "{MPW}:Interfaces&Libraries:OpenGL_SDK_1.2:Libraries:OpenGLUtilityStub" 
				  ":lib:SDLmain.o" ":lib:SDL"


### Default Rules ###

.cpp.x    .cpp  {MondoBuild}
	{PPCCPlus} {depDir}{default}.cpp -o {targDir}{default}.cpp.x {PPCCPlusOptions}


### Build Rules ###

Allenroids    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} 
		-mf -d 
		-m __appstart 
		-t 'APPL' 
		-c 'AMS1'
	Rez -a -o {Targ} ":rsrc:SDL.r"
	Rez -a -o {Targ} ":rsrc:SIZE.r"


Allenroids    Septagon.rsrc {MondoBuild}
	Echo "Include "Septagon.rsrc";" | Rez -o {Targ} -append

Allenroids    "{MPW}:Interfaces&Libraries:OpenGL_SDK_1.2:Resources:glut.rsrc" {MondoBuild}
	Echo "Include "{MPW}:Interfaces&Libraries:OpenGL_SDK_1.2:Resources:glut.rsrc";" | Rez -o {Targ} -append

Allenroids    "{MPW}:Interfaces&Libraries:OpenGL_SDK_1.2:Resources:glut_carbon.rsrc" {MondoBuild}
	Echo "Include "{MPW}:Interfaces&Libraries:OpenGL_SDK_1.2:Resources:glut_carbon.rsrc";" | Rez -o {Targ} -append

Allenroids    {MondoBuild}
	Echo "Data 'carb' (0) {$"00000000"};" | Rez -o {Targ} -append

Allenroids    {MondoBuild}
	Echo 
		"#include "Processes.r"n 
		Resource 'SIZE' (-1) { 
		reserved, 
		acceptSuspendResumeEvents, 
		reserved, 
		canBackground, 
		doesActivateOnFGSwitch, 
		backgroundAndForeground, 
		dontGetFrontClicks, 
		ignoreAppDiedEvents, 
		is32BitCompatible, 
		isHighLevelEventAware, 
		onlyLocalHLEvents, 
		notStationeryAware, 
		dontUseTextEditServices, 
		notDisplayManagerAware, 
		reserved, 
		reserved, 
		1024 * 1024, 
		1024 * 1024 };" | Rez -o {Targ} -append


### Required Dependencies ###

"{ObjDir}Allenroids.cpp.x"    ":Source Code:Allenroids.cpp"
"{ObjDir}Configure Screen.cpp.x"    ":Source Code:Configure Screen.cpp"
"{ObjDir}sound.cpp.x"    ":Source Code:sound.cpp"
"{ObjDir}Title Screen.cpp.x"    ":Source Code:Title Screen.cpp"
"{ObjDir}Asteroid.cpp.x"    ":Source Code:Classes:Asteroid.cpp"
"{ObjDir}BadGuy.cpp.x"    ":Source Code:Classes:BadGuy.cpp"
"{ObjDir}Crystal.cpp.x"    ":Source Code:Classes:Crystal.cpp"
"{ObjDir}GameObject.cpp.x"    ":Source Code:Classes:GameObject.cpp"
"{ObjDir}Kerblooie.cpp.x"    ":Source Code:Classes:Kerblooie.cpp"
"{ObjDir}Player.cpp.x"    ":Source Code:Classes:Player.cpp"
"{ObjDir}Shot.cpp.x"    ":Source Code:Classes:Shot.cpp"
"{ObjDir}Spaceship.cpp.x"    ":Source Code:Classes:Spaceship.cpp"


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


